Source: haskell-hint
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders:
 Joachim Breitner <nomeata@debian.org>,
Priority: optional
Section: haskell
Rules-Requires-Root: no
Build-Depends:
 cdbs,
 debhelper (>= 10),
 ghc (>= 8.4.3),
 ghc-ghci,
 ghc-prof,
 haskell-devscripts (>= 0.13),
 libghc-exceptions-dev (>= 0.10),
 libghc-exceptions-dev (<< 0.11),
 libghc-exceptions-prof,
 libghc-ghc-paths-dev,
 libghc-ghc-paths-prof,
 libghc-random-dev,
 libghc-random-prof,
 libghc-temporary-dev,
 libghc-temporary-prof,
Build-Depends-Indep: ghc-doc,
 libghc-exceptions-doc,
 libghc-ghc-paths-doc,
 libghc-random-doc,
 libghc-temporary-doc,
Standards-Version: 4.5.0
Homepage: https://github.com/haskell-hint/hint
Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-hint
Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-hint]

Package: libghc-hint-dev
Architecture: any
Depends:
 ${haskell:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 ${haskell:Suggests},
Provides:
 ${haskell:Provides},
Description: runtime Haskell interpreter (GHC API wrapper)${haskell:ShortBlurb}
 This library defines an Interpreter monad. It allows one to load Haskell
 modules, browse them, type-check and evaluate strings with Haskell expressions
 and even coerce them into values. The library is thread-safe and type-safe
 (even the coercion of expressions to values). It is, essentially, a huge subset
 of the GHC API wrapped in a simpler API. Works with GHC.10.x and 6.8.x (this
 version was not tested with GHC.6).
 .
 ${haskell:Blurb}

Package: libghc-hint-prof
Architecture: any
Depends:
 ${haskell:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 ${haskell:Provides},
Description: runtime Haskell interpreter (GHC API wrapper)${haskell:ShortBlurb}
 This library defines an Interpreter monad. It allows one to load Haskell
 modules, browse them, type-check and evaluate strings with Haskell expressions
 and even coerce them into values. The library is thread-safe and type-safe
 (even the coercion of expressions to values). It is, esentially, a huge subset
 of the GHC API wrapped in a simpler API. Works with GHC.10.x and 6.8.x (this
 version was not tested with GHC.6).
 .
 ${haskell:Blurb}

Package: libghc-hint-doc
Architecture: all
Section: doc
Depends:
 ${haskell:Depends},
 ${misc:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Description: runtime Haskell interpreter (GHC API wrapper)${haskell:ShortBlurb}
 This library defines an Interpreter monad. It allows one to load Haskell
 modules, browse them, type-check and evaluate strings with Haskell expressions
 and even coerce them into values. The library is thread-safe and type-safe
 (even the coercion of expressions to values). It is, esentially, a huge subset
 of the GHC API wrapped in a simpler API. Works with GHC.10.x and 6.8.x (this
 version was not tested with GHC.6).
 .
 ${haskell:Blurb}
